export type StatsigMetadata = {
    sdkType: string;
    sdkVersion: string;
    sessionID: string;
    locale?: string;
    appVersion?: string;
    systemVersion?: string;
    systemName?: string;
    deviceModelName?: string;
    deviceModel?: string;
};
export default class Identity {
    readonly _sdkKey: string;
    readonly _statsigMetadata: StatsigMetadata;
    readonly _stableID: string;
    private _sdkType;
    private readonly _sdkVersion;
    constructor(sdkKey: string, overrideStableID?: string | null);
    saveStableID(): void;
    private _getUUID;
}
